document.addEventListener('DOMContentLoaded', () => {
  // Booking form handling
  const bookingForm = document.getElementById('bookingForm');
  if (bookingForm) {
    bookingForm.addEventListener('submit', (e) => {
      e.preventDefault();
      const pickup = document.getElementById('pickup').value;
      const destination = document.getElementById('destination').value;
      const date = document.getElementById('date').value;
      
      // Add booking logic here
      alert(`Searching for rides from ${pickup} to ${destination} on ${date}`);
    });
  }

  // Sample ratings data
  const ratings = [
    { name: 'Rahul Kumar', rating: 4.8, trips: 156, review: 'Excellent driver, very professional' },
    { name: 'Priya Singh', rating: 4.9, trips: 203, review: 'Always on time and very courteous' },
    { name: 'Amit Patel', rating: 4.7, trips: 178, review: 'Safe driving and comfortable journey' }
  ];

  // Populate ratings grid
  const ratingsGrid = document.getElementById('ratingsGrid');
  if (ratingsGrid) {
    ratings.forEach(driver => {
      const driverCard = document.createElement('div');
      driverCard.className = 'feature';
      driverCard.innerHTML = `
        <h3>${driver.name}</h3>
        <p>⭐ ${driver.rating} (${driver.trips} trips)</p>
        <p>${driver.review}</p>
      `;
      ratingsGrid.appendChild(driverCard);
    });
  }

  // Smooth scroll for navigation links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      const target = document.querySelector(this.getAttribute('href'));
      if (target) {
        target.scrollIntoView({
          behavior: 'smooth'
        });
      }
    });
  });
});
